import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra user recyclebinitem clear

Removes all users from the tenant recycle bin

## Usage

```sh
m365 entra user recyclebinitem clear [options]
```

## Options

```md definition-list
`-f, --force`
: Don't prompt for confirmation.
```

<Global />

## Remarks

:::info

To use this command you must be a Global administrator, User administrator or Privileged Authentication administrator.

:::

:::note

After running this command, it may take a minute before all deleted users are effectively removed from the tenant.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions            |
  |-----------------|------------------------|
  | Microsoft Graph | User.DeleteRestore.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions            |
  |-----------------|------------------------|
  | Microsoft Graph | User.DeleteRestore.All |

  </TabItem>
</Tabs>

## Examples

Removes all users from the tenant recycle bin.

```sh
m365 entra user recyclebinitem clear
```

Removes all users from the tenant recycle bin without confirmation prompt.

```sh
m365 entra user recyclebinitem clear --force
```

## Response

The command won't return a response on success.
